﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using System.Data;
using System.Data.SqlClient;
using System.Configuration;

public partial class CS : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!this.IsPostBack)
        {
            this.BindGrid();
        }
    }

    private void BindGrid()
    {
        string conn = ConfigurationManager.ConnectionStrings["constr"].ConnectionString;
        using (SqlConnection con = new SqlConnection(conn))
        {
            using (SqlCommand cmd = new SqlCommand("SELECT Name, Country FROM Customers", con))
            {
                using (SqlDataAdapter sda = new SqlDataAdapter(cmd))
                {
                    using (DataTable dt = new DataTable())
                    {
                        sda.Fill(dt);
                        gvCustomers.DataSource = dt;
                        gvCustomers.DataBind();
                    }
                }
            }
        }
    }

    protected void Insert(object sender, EventArgs e)
    {
        int recordsInserted = 0;

        string sql = "IF NOT EXISTS(SELECT CustomerId FROM Customers WHERE Name = @Name and Country = @Country) ";
        sql += "BEGIN ";
        sql += "INSERT INTO Customers (Name, Country) VALUES(@Name, @Country) ";
        sql += "END";

        string conString = ConfigurationManager.ConnectionStrings["constr"].ConnectionString;
        using (SqlConnection con = new SqlConnection(conString))
        {
            using (SqlCommand cmd = new SqlCommand(sql))
            {
                cmd.Connection = con;
                cmd.Parameters.AddWithValue("@Name", txtName.Text);
                cmd.Parameters.AddWithValue("@Country", txtCountry.Text);
                con.Open();
                recordsInserted = cmd.ExecuteNonQuery();
                con.Close();
            }
        }

        this.BindGrid();

        if (recordsInserted == -1)
        {
            ClientScript.RegisterStartupScript(this.GetType(), "alert", "alert('Duplicate record. Please insert Unique data.');", true);
        }
    }
}